- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiUnitTest::TestOutcome Class Reference

`#include <OsiUnitTests.hpp>`

List of all members.

## Public Types
| NOTE = 0
| PASSED = 1
| WARNING = 2
| ERROR = 3
| LAST = 4
enum | SeverityLevel { NOTE = 0, PASSED = 1, WARNING = 2, ERROR = 3, LAST = 4 }
## Public Member Functions
| TestOutcome (const std::string &comp, const std::string &tst, const char *cond, SeverityLevel sev, const char *file, int line, bool exp=false)
void | print () const
## Public Attributes
std::string | component
std::string | testname
std::string | testcond
SeverityLevel | severity
bool | expected
std::string | filename
int | linenumber
## Static Public Attributes
static std::string | SeverityLevelName [LAST]

## Detailed Description

Definition at line 108 of file OsiUnitTests.hpp.

## Member Enumeration Documentation

enum OsiUnitTest::TestOutcome::SeverityLevel

Enumerator:

  NOTE |
  PASSED |
  WARNING |
  ERROR |
  LAST |

Definition at line 110 of file OsiUnitTests.hpp.

## Constructor & Destructor Documentation

OsiUnitTest::TestOutcome::TestOutcome | ( | const std::string & | comp,
|  | const std::string & | tst,
|  | const char * | cond,
|  | SeverityLevel | sev,
|  | const char * | file,
|  | int | line,
|  | bool | exp = `false` |
| ) |  |  | `[inline]`

Definition at line 129 of file OsiUnitTests.hpp.

## Member Function Documentation

void OsiUnitTest::TestOutcome::print | ( |  | ) | const

## Member Data Documentation

std::string OsiUnitTest::TestOutcome::SeverityLevelName[LAST]`[static]`

Definition at line 118 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::component

Definition at line 120 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::testname

Definition at line 121 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::testcond

Definition at line 122 of file OsiUnitTests.hpp.

SeverityLevel OsiUnitTest::TestOutcome::severity

Definition at line 123 of file OsiUnitTests.hpp.

bool OsiUnitTest::TestOutcome::expected

Definition at line 124 of file OsiUnitTests.hpp.

std::string OsiUnitTest::TestOutcome::filename

Definition at line 126 of file OsiUnitTests.hpp.

int OsiUnitTest::TestOutcome::linenumber

Definition at line 127 of file OsiUnitTests.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.3.0/Osi/src/OsiCommonTest/OsiUnitTests.hpp